umbrello: CodeGenFactory Namespace Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Functions
CodeGenFactory Namespace Reference

## Functions
CodeGenerator * | createObject (Uml::ProgrammingLanguage::Enum pl)
CodeDocument * | newClassifierCodeDocument (UMLClassifier *c)
CodeOperation * | newCodeOperation (ClassifierCodeDocument *ccd, UMLOperation *op)
CodeClassField * | newCodeClassField (ClassifierCodeDocument *ccd, UMLAttribute *at)
CodeClassField * | newCodeClassField (ClassifierCodeDocument *ccd, UMLRole *role)
CodeAccessorMethod * | newCodeAccessorMethod (ClassifierCodeDocument *ccd, CodeClassField *cf, CodeAccessorMethod::AccessorType type)
CodeClassFieldDeclarationBlock * | newDeclarationCodeBlock (ClassifierCodeDocument *cd, CodeClassField *cf)
CodeComment * | newCodeComment (CodeDocument *cd)
CodeGenPolicyExt * | newCodeGenPolicyExt (Uml::ProgrammingLanguage::Enum pl)

## Detailed Description

CodeGenFactory allows creating the available code generators as well as the auxiliary objects required for the advanced code generators.

Author
  Jonathan Riddell
  Oliver Kellogg okell.nosp@m.ogg@.nosp@m.users.nosp@m..sou.nosp@m.rcefo.nosp@m.rge..nosp@m.net Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Function Documentation

## ◆ createObject()

CodeGenerator * CodeGenFactory::createObject | ( | Uml::ProgrammingLanguage::Enum | pl | ) |

## ◆ newClassifierCodeDocument()

CodeDocument * CodeGenFactory::newClassifierCodeDocument | ( | UMLClassifier * | c | ) |

## ◆ newCodeAccessorMethod()

CodeAccessorMethod * CodeGenFactory::newCodeAccessorMethod | ( | ClassifierCodeDocument * | ccd,
|  | CodeClassField * | cf,
|  | CodeAccessorMethod::AccessorType | type
| ) |  |

## ◆ newCodeClassField() [1/2]

CodeClassField * CodeGenFactory::newCodeClassField | ( | ClassifierCodeDocument * | ccd,
|  | UMLAttribute * | at
| ) |  |

## ◆ newCodeClassField() [2/2]

CodeClassField * CodeGenFactory::newCodeClassField | ( | ClassifierCodeDocument * | ccd,
|  | UMLRole * | role
| ) |  |

## ◆ newCodeComment()

CodeComment * CodeGenFactory::newCodeComment | ( | CodeDocument * | cd | ) |

## ◆ newCodeGenPolicyExt()

CodeGenPolicyExt * CodeGenFactory::newCodeGenPolicyExt | ( | Uml::ProgrammingLanguage::Enum | pl | ) |

## ◆ newCodeOperation()

CodeOperation * CodeGenFactory::newCodeOperation | ( | ClassifierCodeDocument * | ccd,
|  | UMLOperation * | op
| ) |  |

## ◆ newDeclarationCodeBlock()

CodeClassFieldDeclarationBlock * CodeGenFactory::newDeclarationCodeBlock | ( | ClassifierCodeDocument * | cd,
|  | CodeClassField * | cf
| ) |  |